#' Daily Log-Returns of the S&P 500
#'
#' A \code{"zoo"} object that contains the daily log-returns of the
#' S&P 500 (Standard and Poor's 500) index from January 04, 2000,
#' until November 30, 2024.
#'
#'@source The data was obtained from Yahoo Finance
#'(accessed: 2024-12-01) and then transformed into a time series
#'\code{"zoo"} object using R.
#'
#'\url{https://finance.yahoo.com/quote/^GSPC/}
"SP500"

#' Monthly Inflation Rate of the UK
#'
#' A \code{"ts"} object that contains the monthly inflation rate of
#' the UK from January 1956 to December 2000. It is the growth rate
#' of the consumer price index from the previous period.
#'
#'@source The data was obtained from the databank of the Federal
#'Reserve Bank of St. Louis
#'(accessed: 2025-06-17) and then transformed into a time series
#'\code{"ts"} object using R.
#'
#'\url{https://fred.stlouisfed.org/series/CPALTT01GBM657N}
"UKinflation"
